Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1330510 - [abrt] gnome-shell: wl_resource_post_error(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: wl_resource_post_error(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED DUPLICATE of bug 1372311
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:cdbf1a4960bdce7adfde715156e...
Depends On:
Blocks: WaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-04-26 11:40 UTC by Jiri Eischmann
Modified: 2016-11-08 13:20 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-08 13:20:39 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2016-04-26 11:40 UTC, Jiri Eischmann
no flags Details
File: cgroup (deleted)
2016-04-26 11:40 UTC, Jiri Eischmann
no flags Details
File: core_backtrace (deleted)
2016-04-26 11:40 UTC, Jiri Eischmann
no flags Details
File: dso_list (deleted)
2016-04-26 11:40 UTC, Jiri Eischmann
no flags Details
File: environ (deleted)
2016-04-26 11:40 UTC, Jiri Eischmann
no flags Details
File: exploitable (deleted)
2016-04-26 11:40 UTC, Jiri Eischmann
no flags Details
File: limits (deleted)
2016-04-26 11:40 UTC, Jiri Eischmann
no flags Details
File: maps (deleted)
2016-04-26 11:40 UTC, Jiri Eischmann
no flags Details
File: mountinfo (deleted)
2016-04-26 11:40 UTC, Jiri Eischmann
no flags Details
File: namespaces (deleted)
2016-04-26 11:40 UTC, Jiri Eischmann
no flags Details
File: open_fds (deleted)
2016-04-26 11:40 UTC, Jiri Eischmann
no flags Details
File: proc_pid_status (deleted)
2016-04-26 11:40 UTC, Jiri Eischmann
no flags Details
File: var_log_messages (deleted)
2016-04-26 11:40 UTC, Jiri Eischmann
no flags Details

Description Jiri Eischmann 2016-04-26 11:40:17 UTC
Description of problem:
I selected multiple slides in Impress and did right-click to get a context menu.

Version-Release number of selected component:
gnome-shell-3.20.1-1.fc24

Additional info:
reporter:       libreport-2.7.0
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: wl_resource_post_error
executable:     /usr/bin/gnome-shell
global_pid:     11123
kernel:         4.5.1-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 wl_resource_post_error at src/wayland-server.c:217
 #1 handle_popup_parent_destroyed at wayland/meta-wayland-surface.c:1610
 #2 wl_signal_emit at src/wayland-server-core.h:330
 #3 destroy_resource at src/wayland-server.c:567
 #4 for_each_helper at src/wayland-util.c:359
 #5 wl_map_for_each at src/wayland-util.c:365
 #6 wl_client_destroy at src/wayland-server.c:709
 #7 wl_client_connection_data at src/wayland-server.c:248
 #8 wl_event_loop_dispatch at src/event-loop.c:421
 #9 wayland_event_source_dispatch at wayland/meta-wayland.c:77

Comment 1 Jiri Eischmann 2016-04-26 11:40:22 UTC
Created attachment 1150874 [details]
File: backtrace

Comment 2 Jiri Eischmann 2016-04-26 11:40:23 UTC
Created attachment 1150875 [details]
File: cgroup

Comment 3 Jiri Eischmann 2016-04-26 11:40:25 UTC
Created attachment 1150876 [details]
File: core_backtrace

Comment 4 Jiri Eischmann 2016-04-26 11:40:26 UTC
Created attachment 1150877 [details]
File: dso_list

Comment 5 Jiri Eischmann 2016-04-26 11:40:28 UTC
Created attachment 1150878 [details]
File: environ

Comment 6 Jiri Eischmann 2016-04-26 11:40:29 UTC
Created attachment 1150879 [details]
File: exploitable

Comment 7 Jiri Eischmann 2016-04-26 11:40:30 UTC
Created attachment 1150880 [details]
File: limits

Comment 8 Jiri Eischmann 2016-04-26 11:40:33 UTC
Created attachment 1150881 [details]
File: maps

Comment 9 Jiri Eischmann 2016-04-26 11:40:34 UTC
Created attachment 1150882 [details]
File: mountinfo

Comment 10 Jiri Eischmann 2016-04-26 11:40:35 UTC
Created attachment 1150883 [details]
File: namespaces

Comment 11 Jiri Eischmann 2016-04-26 11:40:37 UTC
Created attachment 1150884 [details]
File: open_fds

Comment 12 Jiri Eischmann 2016-04-26 11:40:38 UTC
Created attachment 1150885 [details]
File: proc_pid_status

Comment 13 Jiri Eischmann 2016-04-26 11:40:40 UTC
Created attachment 1150886 [details]
File: var_log_messages

Comment 14 Olivier Fourdan 2016-09-01 09:54:02 UTC
The erro looks the same as bug 1292832 (i.e. "destroyed popup not top most
popup") but here, sending the error also causs a segfault in gnome-shell...

Comment 15 Christian Stadelmann 2016-09-01 11:56:50 UTC
I can reproduce this bug by trying to reproduce bug #1290784:

0. in a gnome+wayland session
1. open eclipse
2. in the perspective switcher (top right), right-click on any perspective.

See bug #1372311 for a backtrace on F25.

Comment 16 Jonas Ådahl 2016-09-06 08:21:06 UTC
This one and bug #1372311 looks the same, and none of them reproduce. Should one be made a duplicate, and the other marked as fixed?

Comment 17 Christian Stadelmann 2016-09-26 18:51:49 UTC
(In reply to Jonas Ådahl from comment #16)
> This one and bug #1372311 looks the same, and none of them reproduce. Should
> one be made a duplicate, and the other marked as fixed?

I think so. The other one is marked as fixed already, so this one can be closed I think.

Comment 18 Rui Matos 2016-11-08 13:20:39 UTC

*** This bug has been marked as a duplicate of bug 1372311 ***


Note You need to log in before you can comment on or make changes to this bug.